package thyyxxk.webserver.entity.medicalinsurance.setllist;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @description: 年度累计信息
 * @author: DingJie
 * @create: 2021/8/1716:16
 */
@Data
public class CuminfoInYear {
    private Integer code;
    private String message;
    private String setlId;

    // 大病保险合规费用
    private BigDecimal yearBigDssLegalFee = BigDecimal.ZERO;

    // 住院累计
    private BigDecimal yearAdmtimesZy = BigDecimal.ZERO;
    private BigDecimal yearPeriodFeeSumZy = BigDecimal.ZERO;
    private BigDecimal yearMedfeeSumZy = BigDecimal.ZERO;
    private BigDecimal yearPayedBegnlineZy = BigDecimal.ZERO;
    private BigDecimal yearBaseFundPayAmtZy = BigDecimal.ZERO;
    private BigDecimal yearBigAmtpaysZy = BigDecimal.ZERO;
    private BigDecimal yearBigdssFundPayAmtZy = BigDecimal.ZERO;
    private BigDecimal yearMafPayAmtZy = BigDecimal.ZERO;
    private BigDecimal yearPolicySelfPayZy = BigDecimal.ZERO;
    private BigDecimal yearPreSelfPayZy = BigDecimal.ZERO;
    // 门诊累计
    private BigDecimal yearAdmtimesMz = BigDecimal.ZERO;
    private BigDecimal yearMedfeeSumMz = BigDecimal.ZERO;
    private BigDecimal yearBaseFundPayAmtMz = BigDecimal.ZERO;
    private BigDecimal yearBigAmtpaysMz = BigDecimal.ZERO;
    private BigDecimal yearBigdssFundPayAmtMz = BigDecimal.ZERO;
    private BigDecimal yearMafPayAmtMz = BigDecimal.ZERO;
    private BigDecimal yearAcctPayZy = BigDecimal.ZERO;
    private BigDecimal yearAcctPayMz = BigDecimal.ZERO;
    private BigDecimal yearPeriodFeeSumMz = BigDecimal.ZERO;
    private BigDecimal yearPayedBegnlineMz = BigDecimal.ZERO;
    private BigDecimal yearPolicySelfPayMz = BigDecimal.ZERO;
    private BigDecimal yearPreSelfPayMz = BigDecimal.ZERO;

    public void addYearAdmtimesZy(double val) {
        yearAdmtimesZy = yearAdmtimesZy.add(BigDecimal.valueOf(val));
    }

    public void addYearPeriodFeeSumZy(double val) {
        yearPeriodFeeSumZy = yearPeriodFeeSumZy.add(BigDecimal.valueOf(val));
    }

    public void addYearPeriodFeeSumMz(double val) {
        yearPeriodFeeSumMz = yearPeriodFeeSumMz.add(BigDecimal.valueOf(val));
    }

    public void addYearFeeSumZy(double val) {
        yearMedfeeSumZy = yearMedfeeSumZy.add(BigDecimal.valueOf(val));
    }

    public void addYearPayedbegnlineZy(double val) {
        yearPayedBegnlineZy = yearPayedBegnlineZy.add(BigDecimal.valueOf(val));
    }

    public void addYearPayedbegnlineMz(double val) {
        yearPayedBegnlineMz = yearPayedBegnlineMz.add(BigDecimal.valueOf(val));
    }

    public void addYearFundpaysZy(double val) {
        yearBaseFundPayAmtZy = yearBaseFundPayAmtZy.add(BigDecimal.valueOf(val));
    }

    public void addYearPolicySelfpayZy(double val) {
        yearPolicySelfPayZy = yearPolicySelfPayZy.add(BigDecimal.valueOf(val));
    }

    public void addYearPolicySelfpayMz(double val) {
        yearPolicySelfPayMz = yearPolicySelfPayMz.add(BigDecimal.valueOf(val));
    }

    public void addYearPreSelfpayZy(double val) {
        yearPreSelfPayZy = yearPreSelfPayZy.add(BigDecimal.valueOf(val));
    }

    public void addYearPreSelfpayMz(double val) {
        yearPreSelfPayMz = yearPreSelfPayMz.add(BigDecimal.valueOf(val));
    }

    public void addYearBigAmtpaysZy(double val) {
        yearBigAmtpaysZy = yearBigAmtpaysZy.add(BigDecimal.valueOf(val));
    }

    public void addYearBigdssInspaysZy(double val) {
        yearBigdssFundPayAmtZy = yearBigdssFundPayAmtZy.add(BigDecimal.valueOf(val));
    }

    public void addYearMafpaysZy(double val) {
        yearMafPayAmtZy = yearMafPayAmtZy.add(BigDecimal.valueOf(val));
    }

    public void addYearAdmtimesMz(double val) {
        yearAdmtimesMz = yearAdmtimesMz.add(BigDecimal.valueOf(val));
    }


    public void addYearFeeSumMz(double val) {
        yearMedfeeSumMz = yearMedfeeSumMz.add(BigDecimal.valueOf(val));
    }

    public void addYearFundpaysMz(double val) {
        yearBaseFundPayAmtMz = yearBaseFundPayAmtMz.add(BigDecimal.valueOf(val));
    }


    public void addYearBigAmtpaysMz(double val) {
        yearBigAmtpaysMz = yearBigAmtpaysMz.add(BigDecimal.valueOf(val));
    }

    public void addYearBigdssInspaysMz(double val) {
        yearBigdssFundPayAmtMz = yearBigdssFundPayAmtMz.add(BigDecimal.valueOf(val));
    }

    public void addYearMafpaysMz(double val) {
        yearMafPayAmtMz = yearMafPayAmtMz.add(BigDecimal.valueOf(val));
    }

    public void addYearAcctPayZy(double val) {
        yearAcctPayZy = yearAcctPayZy.add(BigDecimal.valueOf(val));
    }
    
    public void addYearAcctPayMz(double val) {
        yearAcctPayMz = yearAcctPayMz.add(BigDecimal.valueOf(val));
    }

    public void addYearBigdssLegalFee(double val) {
        yearBigDssLegalFee = yearBigDssLegalFee.add(BigDecimal.valueOf(val));
    }

}
